AntiFeatures:
  - NonFreeNet
Categories:
  - Sports & Health
  - Science & Education
License: GPL-3.0-only
AuthorName: Gabriel Tavernini
AuthorEmail: taverninigabriel@gmail.com
AuthorWebSite: https://gabrieltavernini.github.io/
SourceCode: https://github.com/GabrielTavernini/Covid19Stats
IssueTracker: https://github.com/GabrielTavernini/Covid19Stats/issues
Changelog: https://github.com/GabrielTavernini/Covid19Stats/releases

AutoName: Covid19 Stats

RepoType: git
Repo: https://github.com/GabrielTavernini/Covid19Stats

Builds:
  - versionName: 1.3.0
    versionCode: 4
    commit: v1.3
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@1.17.1
    prebuild:
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
      - $$flutter$$/bin/flutter config --no-analytics
    build: $$flutter$$/bin/flutter build apk

  - versionName: 1.4.0
    versionCode: 5
    commit: v1.4.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@1.17.1
    prebuild:
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
      - $$flutter$$/bin/flutter config --no-analytics
    build: $$flutter$$/bin/flutter build apk

AutoUpdateMode: Version v%v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/GabrielTavernini/Covid19Stats/master/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.4.0
CurrentVersionCode: 5
